QuantLib: SpreadCdsHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
SpreadCdsHelper Class Reference

Spread-quoted CDS hazard rate bootstrap helper. More...

`#include <ql/termstructures/credit/defaultprobabilityhelpers.hpp>`

Inheritance diagram for SpreadCdsHelper:
[legend]

## Public Member Functions
| SpreadCdsHelper (const Handle< Quote > &runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true, const Date &startDate=Date(), const DayCounter &lastPeriodDayCounter=DayCounter(), bool rebatesAccrual=true, const CreditDefaultSwap::PricingModel model=CreditDefaultSwap::Midpoint)
| SpreadCdsHelper (Rate runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true, const Date &startDate=Date(), const DayCounter &lastPeriodDayCounter=DayCounter(), const bool rebatesAccrual=true, const CreditDefaultSwap::PricingModel model=CreditDefaultSwap::Midpoint)
Real | impliedQuote () const
Public Member Functions inherited from CdsHelper
| CdsHelper (const Handle< Quote > &quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true, const Date &startDate=Date(), const DayCounter &lastPeriodDayCounter=DayCounter(), bool rebatesAccrual=true, const CreditDefaultSwap::PricingModel model=CreditDefaultSwap::Midpoint)
| CdsHelper (Rate quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true, const Date &startDate=Date(), const DayCounter &lastPeriodDayCounter=DayCounter(), bool rebatesAccrual=true, const CreditDefaultSwap::PricingModel model=CreditDefaultSwap::Midpoint)
void | setTermStructure (DefaultProbabilityTermStructure *)
boost::shared_ptr< CreditDefaultSwap > | swap () const
void | update ()
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from CdsHelper
void | initializeDates ()
Protected Attributes inherited from CdsHelper
Period | tenor_
Integer | settlementDays_
Calendar | calendar_
Frequency | frequency_
BusinessDayConvention | paymentConvention_
DateGeneration::Rule | rule_
DayCounter | dayCounter_
Real | recoveryRate_
Handle< YieldTermStructure > | discountCurve_
bool | settlesAccrual_
bool | paysAtDefaultTime_
DayCounter | lastPeriodDC_
bool | rebatesAccrual_
CreditDefaultSwap::PricingModel | model_
Schedule | schedule_
boost::shared_ptr< CreditDefaultSwap > | swap_
RelinkableHandle< DefaultProbabilityTermStructure > | probability_
Date | protectionStart_
| protection effective date.
Date | startDate_
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Detailed Description

Spread-quoted CDS hazard rate bootstrap helper.

Examples:
  CDS.cpp.